Warning: array_keys() [function.array-keys]… (Créer un compte)

  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 22)
  • Auteur
    Messages
  • #465743
    peps
    Membre
    Initié WordPress
    12 contributions

    Bonjour,

    Ma configuration WP actuelle
    – Version de WordPress : 2.7
    – Thème utilisé : textback
    – Plugins en place :
    – Nom de l’hebergeur : OVH
    – Adresse du site : http://www.emmanuelle-b.com

    Problème(s) rencontré(s) :

    Bonjour,

    Je possède 2 sites internet. La mise à jour sur l’un s’est très bien passée, par contre, pour le site http://www.emmanuelle-b.com, impossible de me rendre sur la page administration car le message d’erreur suivant apparaît :

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /homez.43/pepscomm/www/wp-includes/widgets.php on line 1843

    Warning: Cannot modify header information – headers already sent by (output started at /homez.43/pepscomm/www/wp-config.php:2) in /homez.43/pepscomm/www/wp-includes/pluggable.php on line 850

    De plus, lorsqu’on se rend sur la page du site, les accents ne sont plus acceptés et le message d’erreur ci-dessous apparaît en haut des pages :

    Warning: array_keys() [function.array-keys]: The first argument should be an array in /homez.43/pepscomm/www/wp-includes/widgets.php on line 1843

    Que dois-je faire svp ? Merci de votre aide. 🙂

    Cordialement

    Manue

    #655140
    peps
    Membre
    Initié WordPress
    12 contributions

    Personne pour m’aider ?

    #655141
    Lumiere de Lune
    Participant
    Maître WordPress
    20535 contributions

    As tu regardé le forum et vérifié ce qui est dit ici ? Cannot modify header

    #655142
    peps
    Membre
    Initié WordPress
    12 contributions

    Bonjour Lumière de Lune (c’est très jolie comme pseudo !)

    Oui j’ai épluché tout le forum avant de poster mon message. J’ai bien effectivement enregistré mon fichier en en UTF-8 sans BOM, j’ai rajouté la clef manquante mais rien n’y fait !!! snife :(

    #655143
    FinalFan
    Participant
    Initié WordPress
    2 contributions

    Salut peps,
    Il m’est arrivé exactement la même chose que toi à l’instant que j’ai upgradé de WP 2.6 à 2.7.
    J’ai remis mon ancien fichier wp-config.php et je peux à nouveau accéder au paneau d’administration.

    Les accents sont revenus par la même occasion sur mes bulletins.
    Je vais tenter de réactiver mes plug-ins maintenant.

    Joyeuses fêtes ^^

    #655144
    Lumiere de Lune
    Participant
    Maître WordPress
    20535 contributions

    Bon alors…

    1- il se peut que le fichier en question soit mal passé, reprends le directement ici (dans la section download) et recharge le
    2- Pour le problème de final fan, je pense plutôt à un wp-config « incomplet », c’est à dire sans les clés d’identification. Mais toi tu as rajouté la clé manquante….

    #655145
    peps
    Membre
    Initié WordPress
    12 contributions

    Merci Lumiere de Lune et FinzlFan mais j’ai téléchargé à nouveau le fichier et cela ne fonctionne pas … Ce qui m’étonne c’est que tout à bien fonctionné sur l’autre site !!!
    A moins que j’ai oublié de décocher un plugging ???!!! et du coup ça aurait buggé ?

    #655146
    FinalFan
    Participant
    Initié WordPress
    2 contributions

    Tu n’as pas fait une backup avant d’upgrader ton blog ?
    Sinon j’aurais jamais pu repêcher mon ancien fichier de config…

    Après Lumière, le fichier issu du pack FR 2.7, j’avais édité avec mes informations persos (+ le NONCE_KEY que je n’avais pas avant).

    Après, où es la faille, j’en sais fichtre rien.
    Je suis hébergé par free, mais ça change pas le problème.

    J’ai réédité mon ancien fichier config en rajoutant la ligne du NONCE_KEY et tout fonctionne toujours, j’ai remis mes plug-ins à jour maintenant.

    #655147
    Lumiere de Lune
    Participant
    Maître WordPress
    20535 contributions

    Et si tu essayais de charger la version anglaise ? En conservant les fichiers wp-content/languages et ton wp-config, tu resteras en français.

    #655139
    peps
    Membre
    Initié WordPress
    12 contributions

    FinalFan = Oui j’ai tout bien suivi la procédure mais maintenant je me demande si j’ai pas oublié dans la liste de mes pluggins d’en désactiver un dans le panneau de contrôle…

    Lumière de Lune = Je vais faire le test et vous tiens au courant ! 🙂

    En tous les cas, merci de votre aide à tous les deux !

    #655148
    peps
    Membre
    Initié WordPress
    12 contributions

    Re-moi !

    J’ai téléchargé la version anglaise mais toujours pas de changement……. grrrrrrrrrrrr

    #655149
    Pierredelimoges
    Membre
    Initié WordPress
    19 contributions

    Salut peps,
    j’ai exactement le même problème ! as tu enfin trouvé une solution ?
    A+

    #655150
    Hybrid Son Of Oxayotl
    Participant
    Initié WordPress
    6 contributions

    J’ai aussi le même problème.
    Personne n’a de solutions ?

    #655151
    unknow21
    Membre
    Initié WordPress
    7 contributions

    Upgrade effectué ce soir: même punition 😡
    D’ailleur en cherchant sur google on voit un certain nombre de blog avec le pb!
    Doit bien avoir une solution!

    #655152
    Hybrid Son Of Oxayotl
    Participant
    Initié WordPress
    6 contributions

    Je reste à l’écoute. Heureusement que ce n’était pas un truc trop critique :·D.

15 sujets de 1 à 15 (sur un total de 22)
  • Vous devez être connecté pour répondre à ce sujet.